<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if(!isset($_GET['id']))exit("Не верная ссылка");
$uid=intval($_GET['id']);

$res=mysql_query("SELECT balls,nick FROM user WHERE id='$uid';");
if(!$row=mysql_fetch_assoc($res))exit("Пользователь с ID $uid не найден в базе данных!");


	//Обработка формы----
	if(isset($_POST['give']))
	{
	$give=intval($_POST['balls']);
	if($give<0)$give=$give*(-1);
	if($give>$user['balls'])exit("У вас нет <b>$give</b> рие.");
	
	mysql_query("UPDATE user SET balls=balls-$give WHERE id='".$user['id']."';");
	mysql_query("UPDATE user SET balls=balls+$give WHERE id='".$uid."';");
	header("Location: info.php?id=".$uid);
	exit;
	}
	//-------------------



include_once 'sys/inc/thead.php';
title();
err();
aut();
?>
<form method="post" >
Вы имеете <b><?=$user['balls'];?></b> баллов<br />
Передать пользователю <b><?=$row['nick'];?></b> <input type="text" name="balls" value="" size="3" /> баллов  
<input type="submit" value="ok" name="give" />
</form>
<?
include_once 'sys/inc/tfoot.php';
?>